/* -*- c++ -*- */
#ifndef _HUBADMIN_CLIENT_H_
#define _HUBADMIN_CLIENT_H_

/**********************************************************************
 *
 *           Copyright 1996 by Carnegie Mellon University
 * 
 *                       All Rights Reserved
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of CMU not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 * 
 * CMU DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 * ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
 * CMU BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
 * ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 * 
 * $Id: client.h,v 1.1.1.1 1996/12/30 00:24:36 ryan Exp $
 * 
 **********************************************************************/

void   init_client(int);
void   close_client(void);
void  *snmpopen(char *, char *);
void   snmpclose(void *);

int    snmpset(char *, char *, char *, int,     void *);
void **snmpget(char *, char *, int,    char **, void *);
int    snmpgetnext(char *, char *, oid *, int, oid *, u_char *, void *);
int    snmpsettime(char *, char *, char *, int, void *);
int    snmpsetstr(char *, char *, char *, char *, int, void *);

#endif /* _HUBADMIN_CLIENT_H_ */
